Subject: Re: Re:Lightweight Certificate Validation Protocol (LCVP)

From: "Denis Pinkas" <[email-masked]>
Date: Wed, 9 May 2007 14:49:41 +0200

Russ,

>Denis:
>
>>1 -  "LCVP  as well as SCVP allows two different ways to identify a 
>>certificate.
>>Either by providing the certificate or by a reference".
>>
>>It may be the right time to say that way to provide the certificate in SCVP
>>does not allow its support by thin clients.
>>
>>The certificate is defined by Certificate, which means tha the client must
>>fully decode the whole certificate.
>>
>>The change I mentioned while answering to Stefan, was to define the 
>>certificate
>>as an OCTET STRING, which has the advantage to only require, for the client,
>>the extraction of the public key that is within the certificate.
>
>I have worked with one set of ASN.1 tools that allow the type of 
>processing that you describe without having to perform decode/encode 
>operations.  Simply provide a pointer to the already encoded 
>certificate, and then the certificate is included in the larger 
>structure (an SCVP request in this case) without any additional processing.

So why not define it as an OCTET STRING ?

Denis

>Russ